org.apache.maven.scm.provider.tfs.command.consumer

## Class ChangedFileConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.tfs.command.consumer.ChangedFileConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class ChangedFileConsumer
    extends Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

### Constructor Summary

Constructors
Constructor and Description
`ChangedFileConsumer(ScmLogger logger)`

### Method Summary

Methods
`void` `consumeLine(String line)`
`List` `getChangedFiles()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChangedFileConsumer

    public ChangedFileConsumer(ScmLogger logger)

### Method Detail

#### consumeLine

    public void consumeLine(String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### getChangedFiles

    public List getChangedFiles()